This example showcases a responsive and interactive sales dashboard designed to
provide a comprehensive view of sales performance. The dashboard enables users
to track key metrics, visualize data, and gain insights into sales trends. It
supports both mobile and desktop layouts, ensuring a seamless experience across
devices.

The sales dashboard includes features such as revenue tracking, top performer
highlights, and detailed breakdowns of key performance indicators like renewal
and churn rates. With its ability to persistently load data on app start and
define layouts across sessions, this dashboard is a powerful tool for monitoring
and improving sales performance.

## Lessons 🎓

In this example you can see how to:

-   Create a simple interactive dashboard
-   Pass data between components
-   Persistently load data on app start
-   Define and load page layout across sessions
-   How to build a dashboard supporting mobile and desktop layouts

## Components 🧩

This template is composed of four main components:

1. `LineChartCard`: Displays the revenue data for a specific period.
2. `DonutChartCard`: Displays the breakdown of key performance indicators.
3. `TopPerformers`: Highlights the top performer based on sales data.
4. `RateCard`: Displays the renewal and churn rates.
